.Net 3.5 compatibility with webmethods 9.8

Hello, We are seeing compatibility issues with .Net 3.5 and webmethods 9.7 and above? Recently we contacted SAG and they came back saying that its not compatible. Moving to latest .Net version is not what we are planning at this time so i would like to know if you have seen similar issues anywhere and what are the alternatives to this problem if we want to go ahead with webmethods upgrade. Thanks In Advance.

Thanks,
Ram

Just to be clear on your query:

What is your current IS version and SAG says not compatible the .net 3.5 with on IS 9.7?

When you said upgrade what wM version you have in mind that is supported?

HTH,
RMG

Thanks for your reply RMG. We are on 8.2 and using .Net 3.5 and in the process of upgrading to 9.8 and SAG told us its not compatible with .net 3.5

Thanks,
Ram

Thanks for providing your env info!

I see this info and you may be belongs to first point and second point would be a conflict since .net 3.5 upgrade is not planned?:

Resolution:

webMethods for Microsoft Package 7.1 supports only up-to .NET framework version 3.5 .

webMethods Package for Microsoft .NET version 9.0 supports latest .NET Frameworks 4.0 and 4.5.

HTH,
RMG